// http://ionicframework.com/docs/theming/


// App Global Sass
// --------------------------------------------------
// Put style rules here that you want to apply globally. These
// styles are for the entire app and not just one component.
// Additionally, this file can be also used as an entry point
// to import other Sass files to be included in the output CSS.
//
// Shared Sass variables, which can be used to adjust Ionic's
// default Sass variables, belong in "theme/variables.scss".
//
// To declare rules for a specific mode, create a child rule
// for the .md, .ios, or .wp mode classes. The mode class is
// automatically applied to the <body> element in the app.
.auth-page {
form {
    margin-bottom: 12px;
    button {
      margin-top: 0px !important;
    }
  }

  p {
    font-size: 0.8em;
    color: #ff0000;
  }

  ion-label {
    margin-left: 5px;
  }

  ion-input {
    padding: 5px;
  }

  .invalid {
    .item-inner {
      border: 0;
    }
    ion-input {
      border-bottom: 1px solid #ff6153;
    }
  }

  .valid {
    .item-inner {
      border: 0;
    }
    ion-input {
      border-bottom: 1px solid #1eff00;
    }
  }

  .error-message {
    min-height: 2.2rem;
    p {
      font-size: 60%;
    }
    ion-label {
      margin: 2px 0;
    }
    .item-inner {
      border-bottom: 0 !important;
    }
  }
 
}